summaryrefslogtreecommitdiffstats
path: root/ubuntu/maverick/tdebase/debian/tdm-trinity.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'ubuntu/maverick/tdebase/debian/tdm-trinity.postinst')
-rw-r--r--ubuntu/maverick/tdebase/debian/tdm-trinity.postinst33
1 files changed, 33 insertions, 0 deletions
diff --git a/ubuntu/maverick/tdebase/debian/tdm-trinity.postinst b/ubuntu/maverick/tdebase/debian/tdm-trinity.postinst
index 84345e28b..4977c4998 100644
--- a/ubuntu/maverick/tdebase/debian/tdm-trinity.postinst
+++ b/ubuntu/maverick/tdebase/debian/tdm-trinity.postinst
@@ -44,6 +44,25 @@ if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE.dpkg-tmp" ]; then
rm "$DEFAULT_DISPLAY_MANAGER_FILE.dpkg-tmp"
fi
+# set default-display-manager systemd service link according to our config
+DEFAULT_SERVICE=/etc/systemd/system/display-manager.service
+if [ "$1" = configure ] && [ -d /etc/systemd/system/ ]; then
+ if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE" ]; then
+ SERVICE=/lib/systemd/system/$(basename $(cat "$DEFAULT_DISPLAY_MANAGER_FILE")).service
+ SERVICE=`echo "$SERVICE" | sed "s/tdm\./tdm-trinity./"`
+ if [ -h "$DEFAULT_SERVICE" ] && [ $(readlink "$DEFAULT_SERVICE") = /dev/null ]; then
+ echo "Display manager service is masked" >&2
+ elif [ -e "$SERVICE" ]; then
+ ln -sf "$SERVICE" "$DEFAULT_SERVICE"
+ else
+ echo "WARNING: $SERVICE is the selected default display manager but does not exist" >&2
+ rm -f "$DEFAULT_SERVICE"
+ fi
+ else
+ rm -f "$DEFAULT_SERVICE"
+ fi
+fi
+
# restarting the daemon may cause output to stdout
db_stop
@@ -122,6 +141,20 @@ case "$1" in
esac
+# Upstart is not active?
+UPSTART_ACTIVE=`dbus-send --system --print-reply --dest=com.ubuntu.Upstart /com/ubuntu/Upstart org.freedesktop.DBus.Properties.Get string:com.ubuntu.Upstart0_6 string:version 2>/dev/null || true`
+if [ -z "$UPSTART_ACTIVE" ]; then
+ echo "Upstart is not active - masking initctl" >&2
+ dpkg-divert --local --rename --add /sbin/initctl
+ ln -s /bin/true /sbin/initctl
+fi
+
#DEBHELPER#
+# Upstart is not active?
+if [ -z "$UPSTART_ACTIVE" ]; then
+ rm /sbin/initctl
+ dpkg-divert --local --rename --remove /sbin/initctl
+fi
+
exit 0